Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
- DocComments
- NodePrinters
- Positions
- Printers
- TreeBrowsers
- TreeDSL
- TreeGen
- TreeInfo
- Trees

c

scala.tools.nsc.ast

# TreeBrowsers

###
Companion object TreeBrowsers

#### abstract class TreeBrowsers extends AnyRef

Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

Source
  TreeBrowsers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
treeBrowsers
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TreeBrowsers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TreeBrowsers()

### Type Members

1.  class ASTTreeModel extends TreeModel

   Tree model for abstract syntax trees

2.  class BrowserFrame extends AnyRef

   A window that can host the Tree widget and provide methods for displaying information

3.  case class ProgramTree(units: List[UnitTree]) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

4.  class SwingBrowser extends AnyRef

   Java Swing pretty printer for Scala abstract syntax trees.

5.  class TextInfoPanel extends JTextArea

   Present detailed information about the selected tree node.

6.  case class UnitTree(unit: Global.CompilationUnit) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

### Abstract Value Members

1.  abstract val global: Global

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TreeBrowsers toany2stringadd[TreeBrowsers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TreeBrowsers, B)
   Implicit
     This member is added by an implicit conversion from TreeBrowsers toArrowAssoc[TreeBrowsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val borderSize: Int
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def create(): SwingBrowser
10.  def ensuring(cond: (TreeBrowsers) => Boolean, msg: => Any): TreeBrowsers
    Implicit
      This member is added by an implicit conversion from TreeBrowsers toEnsuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (TreeBrowsers) => Boolean): TreeBrowsers
    Implicit
      This member is added by an implicit conversion from TreeBrowsers toEnsuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): TreeBrowsers
    Implicit
      This member is added by an implicit conversion from TreeBrowsers toEnsuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): TreeBrowsers
    Implicit
      This member is added by an implicit conversion from TreeBrowsers toEnsuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TreeBrowsers toStringFormat[TreeBrowsers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  object TreeInfo

    Computes different information about a tree node.

    Computes different information about a tree node. It is used as central place to do all pattern matching against Tree.

30.  object TypePrinter

### Deprecated Value Members

1.  def →[B](y: B): (TreeBrowsers, B)
   Implicit
     This member is added by an implicit conversion from TreeBrowsers toArrowAssoc[TreeBrowsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTreeBrowsers to any2stringadd[TreeBrowsers]

### Inherited by implicit conversion StringFormat fromTreeBrowsers to StringFormat[TreeBrowsers]

### Inherited by implicit conversion Ensuring fromTreeBrowsers to Ensuring[TreeBrowsers]

### Inherited by implicit conversion ArrowAssoc fromTreeBrowsers to ArrowAssoc[TreeBrowsers]

### Ungrouped